ConnectCloud Developers

Download the document of a task's transaction (tenant:access and tenant:dms:read)

GET /api/workflow/v1/tasks/{instanceId}/document

Module: Workflow · operationId: getTaskDocument · Tag: Tasks · Auth: access token (Authorization: Bearer <accessToken>)

Streams the DMS document of the instance's trade transaction (Content-Disposition: inline, Cache-Control: private, no-store). Types other than PDF and raster images are served with a sandboxing Content-Security-Policy.

Parameters

Name In Type Required Description
instanceId path string (uuid) yes Instance id (guid)

Responses

  • 200 The document (application/octet-stream)
  • 401 Missing or invalid token (unauthorized) (application/json)
  • 403 Error (application/json)
  • 404 Error (application/json)
  • 503 Error (application/json)

Example request

curl -X GET 'https://api.mbcom.cloud/api/workflow/v1/tasks/3f9c2a1e-8b7d-4c6e-a5f4-1d2b3c4e5f60/document' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI